devel/liboop - The NetBSD Packages Collection

Event loop management library

Liboop is a low-level event loop management library for POSIX-based
operating systems. It supports the development of modular, multiplexed
applications which may respond to events from several sources. It
replaces the "select() loop" and allows the registration of event
handlers for file and network I/O, timers and signals. Since processes
use these mechanisms for almost all external communication, liboop can
be used as the basis for almost any application.

Build dependencies

pkgtools/cwrappers devel/libtool-base

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfliboop-1.0nb1.tgz
NetBSD 8.0earmv7hfliboop-1.0nb1.tgz
NetBSD 8.0earmv7hfliboop-1.0nb1.tgz
NetBSD 8.0i386liboop-1.0nb1.tgz
NetBSD 8.0i386liboop-1.0nb1.tgz
NetBSD 8.0powerpcliboop-1.0nb1.tgz
NetBSD 8.0powerpcliboop-1.0nb1.tgz
NetBSD 8.0powerpcliboop-1.0nb1.tgz
NetBSD 8.0powerpcliboop-1.0nb1.tgz
NetBSD 8.0x86_64liboop-1.0nb1.tgz
NetBSD 8.0x86_64liboop-1.0nb1.tgz
NetBSD 9.0aarch64liboop-1.0nb1.tgz
NetBSD 9.0aarch64liboop-1.0nb1.tgz
NetBSD 9.0aarch64liboop-1.0nb1.tgz
NetBSD 9.0alphaliboop-1.0nb1.tgz
NetBSD 9.0alphaliboop-1.0nb1.tgz
NetBSD 9.0alphaliboop-1.0nb1.tgz
NetBSD 9.0earmliboop-1.0nb1.tgz
NetBSD 9.0earmliboop-1.0nb1.tgz
NetBSD 9.0earmliboop-1.0nb1.tgz
NetBSD 9.0earmv6hfliboop-1.0nb1.tgz
NetBSD 9.0earmv6hfliboop-1.0nb1.tgz
NetBSD 9.0earmv6hfliboop-1.0nb1.tgz
NetBSD 9.0earmv7hfliboop-1.0nb1.tgz
NetBSD 9.0earmv7hfliboop-1.0nb1.tgz
NetBSD 9.0earmv7hfliboop-1.0nb1.tgz
NetBSD 9.0earmv7hfliboop-1.0nb1.tgz
NetBSD 9.0i386liboop-1.0nb1.tgz
NetBSD 9.0i386liboop-1.0nb1.tgz
NetBSD 9.0i386liboop-1.0nb1.tgz
NetBSD 9.0mips64ebliboop-1.0nb1.tgz
NetBSD 9.0mips64ebliboop-1.0nb1.tgz
NetBSD 9.0mips64ebliboop-1.0nb1.tgz
NetBSD 9.0mips64ebliboop-1.0nb1.tgz
NetBSD 9.0mips64ebliboop-1.0nb1.tgz
NetBSD 9.0powerpcliboop-1.0nb1.tgz
NetBSD 9.0powerpcliboop-1.0nb1.tgz
NetBSD 9.0powerpcliboop-1.0nb1.tgz
NetBSD 9.0powerpcliboop-1.0nb1.tgz
NetBSD 9.0sh3elliboop-1.0nb1.tgz
NetBSD 9.0sh3elliboop-1.0nb1.tgz
NetBSD 9.0sh3elliboop-1.0nb1.tgz
NetBSD 9.0sparc64liboop-1.0nb1.tgz
NetBSD 9.0sparc64liboop-1.0nb1.tgz
NetBSD 9.0sparc64liboop-1.0nb1.tgz
NetBSD 9.0sparcliboop-1.0nb1.tgz
NetBSD 9.0sparcliboop-1.0nb1.tgz
NetBSD 9.0sparcliboop-1.0nb1.tgz
NetBSD 9.0sparcliboop-1.0nb1.tgz
NetBSD 9.0sparcliboop-1.0nb1.tgz
NetBSD 9.0vaxliboop-1.0nb1.tgz
NetBSD 9.0vaxliboop-1.0nb1.tgz
NetBSD 9.0vaxliboop-1.0nb1.tgz
NetBSD 9.0x86_64liboop-1.0nb1.tgz
NetBSD 9.0x86_64liboop-1.0nb1.tgz
NetBSD 9.0x86_64liboop-1.0nb1.tgz
NetBSD 9.0x86_64liboop-1.0nb1.tgz
NetBSD 9.0x86_64liboop-1.0nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.